## com.ibm.lab.soln.editor.ui
Class MiniSpreadsheetContentProvider

    java.lang.Object
      |
      +--com.ibm.lab.soln.editor.ui.MiniSpreadsheetContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, IMiniSpreadsheetListener, org.eclipse.jface.viewers.IStructuredContentProvider

public class MiniSpreadsheetContentProvider
extends java.lang.Object
implements org.eclipse.jface.viewers.IStructuredContentProvider, IMiniSpreadsheetListener

Mediate between the table viewer's requests for data and the underlying mini-spreadsheet model.

Constructor Summary
`MiniSpreadsheetContentProvider()` Constructor for MiniSpreadsheetContentProvider.

Method Summary
`void` | `dispose()`
`java.lang.Object[]` | `getElements(java.lang.Object inputElement)` Return all rows, the label provider will handle mapping them into strings.
`void` | `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)` When the input changes, re-establish model change listening.
`void` | `rowsChanged(MiniSpreadsheet miniSpreadsheet)` The model has changed, inform the view.
`void` | `valueChanged(MiniSpreadsheet miniSpreadsheet, int row, int column, java.lang.String newValue)` The model has changed, inform the view.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiniSpreadsheetContentProvider

    public MiniSpreadsheetContentProvider()

  Constructor for MiniSpreadsheetContentProvider.

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.dispose()`

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Return all rows, the label provider will handle mapping them into strings.

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  See Also:
    `IStructuredContentProvider.getElements(Object)`, `MiniSpreadsheetLabelProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  When the input changes, re-establish model change listening.

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
  See Also:
    `IContentProvider.inputChanged(Viewer, Object, Object)`

### rowsChanged

    public void rowsChanged(MiniSpreadsheet miniSpreadsheet)

  The model has changed, inform the view.

  Specified by:
    `rowsChanged` in interface `IMiniSpreadsheetListener`
  See Also:
    `IMiniSpreadsheetListener.rowsChanged(MiniSpreadsheet)`

### valueChanged

    public void valueChanged(MiniSpreadsheet miniSpreadsheet,
                             int row,
                             int column,
                             java.lang.String newValue)

  The model has changed, inform the view.

  Specified by:
    `valueChanged` in interface `IMiniSpreadsheetListener`
  Parameters:
    `miniSpreadsheet` - changed `MiniSpreadsheet`
    `row` - row index (0-based)
    `column` - column index (0-based)
    `newValue` - new string value of changed cell
  See Also:
    `IMiniSpreadsheetListener.valueChanged(MiniSpreadsheet, int, int, String)`